Extending Qt Creator Manual | SubstitutionMap

Extending Qt Creator Manual 4.5.2

# SubstitutionMap Class

(CPlusPlus::SubstitutionMap)

Inherits: | CPlusPlus::Substitution

- List of all members, including inherited members

## Public Functions

| SubstitutionMap()
virtual | ~SubstitutionMap()
void | bind(const Name *name, const FullySpecifiedType &ty)

## Reimplemented Public Functions

virtual FullySpecifiedType | apply(const Name *name, Rewrite *rewrite) const

- 1 public function inherited from CPlusPlus::Substitution

## Member Function Documentation

### SubstitutionMap::SubstitutionMap()

Default constructs an instance of SubstitutionMap.

### `[virtual]` SubstitutionMap::~SubstitutionMap()

Destroys the instance of SubstitutionMap. The destructor is virtual.

### `[virtual]` FullySpecifiedType SubstitutionMap::apply(const Name *name, Rewrite *rewrite) const

### void SubstitutionMap::bind(const Name *name, const FullySpecifiedType &ty)